Page MenuHomePhabricator

CX trend percentage will be NaN if delta is zero
Closed, ResolvedPublic

Description

In getTrend in CXStats.prototype.renderHighlights the trend calculation can be a division by zero. When this happens, NaN% is shown.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterPrevent NaN in the trend in CXStats

Event Timeline

Amire80 created this task.Sep 17 2015, 8:30 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 8:30 PM
Amire80 claimed this task.Sep 18 2015, 12:48 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 set Security to None.

Change 239364 had a related patch set uploaded (by Amire80):
Prevent NaN in the trend in CXStats

https://gerrit.wikimedia.org/r/239364

Change 239364 merged by Nikerabbit:
Prevent NaN in the trend in CXStats

https://gerrit.wikimedia.org/r/239364

Amire80 moved this task from Backlog to Done on the LE-CX6-Sprint 4 board.Sep 20 2015, 9:57 AM
Amire80 closed this task as Resolved.Oct 1 2015, 5:49 PM
Amire80 removed a project: Patch-For-Review.